<?php
// Version: 1.0; FlashChat Integration
// $Revision: 13 $
// $Date: 2007-05-05 22:40:23 +1000 (Sat, 05 May 2007) $

// Function for when chat is NOT displayed "inside" forum
function template_chat()
{
	global $txt, $boardurl, $context;
	// This purposely doesn't have a DOCTYPE. If it did, the browser would
	// render the page differently, and the DIV wouldn't be full-height.
	echo '
<!-- <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"> -->
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
		<title>', $txt['fc_chat'], '</title>
		<style>
			*
			{
				margin: 0;
				padding: 0;
			}
			
			#chat_div
			{
				height: 100%;
			}
		</style>
	</head>
	<body>
		<div id="chat_div">
			<script language="JavaScript" type="text/javascript" src="chat/javascript/ActivateFlash.js"></script>
			', flashChatTag($context['chat_width'], $context['chat_height'], array(), $boardurl . '/chat/'), '
		</div>
	</body>
</html>';

}

// Template for when chat *is* displayed inside forum
function template_chat_forum()
{
	global $txt, $boardurl, $context;
	// Wrap this in a table (for the nice-looking heading).
	echo '
		<table width="100%" border="0" cellspacing="0" cellpadding="4" align="center" class="tborder">
			<tr class="titlebg">
				<td>Chat</td>
			</tr>
			<tr>
				<td class="windowbg">
					<script language="JavaScript" type="text/javascript" src="chat/javascript/ActivateFlash.js"></script>
					', flashChatTag($context['chat_width'], $context['chat_height'], array(), $boardurl . '/chat/'), '
				</td>
			</tr>
		</table>';
}
?>
